org.apache.maven.scm.provider.clearcase.repository

## Class ClearCaseScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.clearcase.repository.ClearCaseScmProviderRepository

    public class ClearCaseScmProviderRepository
    extends ScmProviderRepository

Provider Repository for ClearCase (standard, LT, UCM)

Url format for ClearCase and ClearCaseLT :
[view_name]:[configspec] or [view_name]|[configspec]

Url format for ClearCaseUCM :
[view_name]|[configspec]|[vob_name]|[stream_name] or [view_name]:[configspec]:[vob_name]:[stream_name]

[configspec] can be used in two different ways:

- Path to a config spec file that is used when creating the snapshot view, e.g. "\\myserver\clearcase\configspecs\my_module.txt", or:
- A load rule that is used to automatically create a config spec, e.g. "load /MY_VOB/my/project/dir"

Notice that checking out from a tag is currently only supported when the second option is used.

Version:
  $Id: ClearCaseScmProviderRepository.java 483105 2006-12-06 15:07:54Z evenisse $
Author:
  Trygve Laugstøl

### Field Summary

Fields
`static String` `CLEARCASE_DEFAULT` Define the default value from the clearcase-settings.xml when using ClearCase
`static String` `CLEARCASE_LT` Define the flag used in the clearcase-settings.xml when using ClearCaseLT
`static String` `CLEARCASE_UCM` Define the flag used in the clearcase-settings.xml when using ClearCaseUCM

### Constructor Summary

Constructors
Constructor and Description
`ClearCaseScmProviderRepository(ScmLogger logger, String url, Settings settings)`

### Method Summary

Methods
`File` `getConfigSpec()` Returns the user-supplied config spec or `null` in case it should be automatically generated
`String` `getElementName()`
`String` `getLoadDirectory()` Returns the VOB directory to be loaded when auto-generating the config spec.
`String` `getStreamName()`
`String` `getViewName(String uniqueId)` Returns the name of the view.
`String` `getVobName()`
`boolean` `hasElements()`
`boolean` `isAutoConfigSpec()` Returns true when the config spec has not been supplied by the user, but instead should automatically be generated by the plugin

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, isPersistCheckout, setPassword, setPersistCheckout, setUser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLEARCASE_LT

    public static final String CLEARCASE_LT

Define the flag used in the clearcase-settings.xml when using ClearCaseLT

See Also:
  Constant Field Values

#### CLEARCASE_UCM

    public static final String CLEARCASE_UCM

Define the flag used in the clearcase-settings.xml when using ClearCaseUCM

See Also:
  Constant Field Values

#### CLEARCASE_DEFAULT

    public static final String CLEARCASE_DEFAULT

Define the default value from the clearcase-settings.xml when using ClearCase

### Constructor Detail

#### ClearCaseScmProviderRepository

    public ClearCaseScmProviderRepository(ScmLogger logger,
                                  String url,
                                  Settings settings)
                                   throws ScmRepositoryException

Throws:
  `ScmRepositoryException`

### Method Detail

#### getViewName

    public String getViewName(String uniqueId)

Returns the name of the view. If it is defined in the scm url, then it is returned as defined there. If it is the default name, then the uniqueId is added

Parameters:
  `uniqueId` -
Returns:
  the name of the view

#### getConfigSpec

    public File getConfigSpec()

Returns the user-supplied config spec or `null` in case it should be automatically generated

Returns:
  File or `null`
See Also:
  `isAutoConfigSpec()`

#### isAutoConfigSpec

    public boolean isAutoConfigSpec()

Returns true when the config spec has not been supplied by the user, but instead should automatically be generated by the plugin

Returns:
  true if auto config spec

#### getLoadDirectory

    public String getLoadDirectory()

Returns the VOB directory to be loaded when auto-generating the config spec.

Returns:
  `null` when isAutoConfigSpec() returns false; otherwise the VOB directory

#### getStreamName

    public String getStreamName()

#### getVobName

    public String getVobName()

#### getElementName

    public String getElementName()

#### hasElements

    public boolean hasElements()